<?php declare(strict_types=1);

require_once __DIR__ . '/../../src/common/QrbDataType.php';

use PHPUnit\Framework\TestCase;

final class QrbDataTypeTest extends TestCase
{

    public function testValue() : void
    {
        $this->assertEquals("PdfTemplate", 
                            QrbDataType::PDF_TEMPLATE->value);        
        $this->assertEquals("PdfData", 
                            QrbDataType::PDF_DATA->value);        
        $this->assertEquals("MailBody", 
                            QrbDataType::MAIL_BODY->value);        
        $this->assertEquals("MailData", 
                            QrbDataType::MAIL_DATA->value);        
        $this->assertEquals("CreditorInformation", 
                            QrbDataType::CRED_INFO->value);        
        $this->assertEquals("AdditionalInformation", 
                            QrbDataType::ADD_INFO->value);        
        $this->assertEquals("Recipients", 
                            QrbDataType::RECIPIENTS->value);        
        $this->assertEquals("RecipientsTestRun", 
                            QrbDataType::TEST_RCPNTS->value);        
        $this->assertEquals("qr-bills-test-run", 
                            QrbDataType::MARKER_TEST->value);        
        $this->assertEquals("qr-bills-protocol", 
                            QrbDataType::PROTOCOL->value);        
    }

}

?>
